/*
 * 10/10/2001 - 20:50:39
 *
 * FileListExplorerEvent
 * Copyright (C) 2001 Vouriot Thierry
 * thierry.vouriot@free.fr
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.beans.filelistexplorer;

import java.util.EventObject;
import java.io.File;

/** Classe dcrivant le contexte de l'vnement.
 */
public class FileListExplorerEvent extends EventObject {
    
    /** Constructeur
     * @param fle objet concern par l'vnement
     */    
    public FileListExplorerEvent(FileListExplorer fle) {
        super(fle);
    }
    
    /** Renvoie le fichier ou le rpertoire slctionn
     * @return rpertoire ou fichier slctionn, <CODE>null</CODE> si aucun slctionn
     */    
    public File getSelectedFile() {
        return ((FileListExplorer)this.getSource()).getSelectedFile();
    }
    
    /** Renvoie le rpertoire courant du bean
     * @return rpertoire courant, <CODE>null</CODE> si les racines sont affiches
     */    
    public File getCurrentDirectory() {
        return ((FileListExplorer)this.getSource()).getCurrentDirectory();
    } 
}