/*
 * 10/10/2001 - 20:50:39
 *
 * FileListExplorerListener
 * Copyright (C) 2001 Vouriot Thierry
 * thierry.vouriot@free.fr
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.beans.filelistexplorer;

import java.util.*;

/** Interface reprsentant un <I>listener</I> et proposant les fonctions qui pourront tre appeles
 * pour notifier que tel vnement a eu lieu.
 */
public interface FileListExplorerListener extends EventListener {
    /** Evnement notifi lorsque un fichier ou un rpertoire est slctionn
     * @param evt contexte de l'vnement
     */
    public void fileSelected(FileListExplorerEvent evt);
    /** Evnement notifi lorsque l'utilisateur double click ou utilise la touche <I>enter</I> sur un fichier
     * @param evt contexte de l'vnement
     */
    public void fileChoosen(FileListExplorerEvent evt);
    /** Evnement notifi lorsque l'utilisateur change de rpertoire (double click ou touche <I>enter</I> sur un rpertoire)
     * @param evt contexte de l'vnement
     */
    public void directoryChanged(FileListExplorerEvent evt);
}