/*
 * 11/01/2002
 *
 * ElifeMetalTheme
 * Copyright (C) 2002 Vouriot Thierry
 * thierry.vouriot@free.fr
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.gui;

import java.awt.Font;

import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.FontUIResource;
import javax.swing.plaf.metal.DefaultMetalTheme;

/** Class permettant de definir l'aspect du look & feel metal
 */
public class ElifeMetalTheme extends DefaultMetalTheme {
    
    /** Couleur par dfaut des fontes de Elife
     */    
    private final ColorUIResource color = new ColorUIResource(0, 0, 0);
    /** Fonte par dfaut de Elife
     */    
    private final FontUIResource font = new FontUIResource(new Font("Dialog", Font.PLAIN, 11));
    
    public ElifeMetalTheme() {
        super();
    }
    
    public ColorUIResource getControlTextColor() {
        return color;
    }
  
    public ColorUIResource getMenuTextColor() {
        return color;
    }
 
    public ColorUIResource getUserTextColor() {
        return color;
    }
 
    public FontUIResource getControlTextFont() {
        return font;
    }

    public FontUIResource getMenuTextFont() {
        return font;
    }
 
    public FontUIResource getSystemTextFont() {
        return font;
    }
  
    public FontUIResource getUserTextFont() {
        return font;
    }
  
    public FontUIResource getWindowTitleFont() {
        return font;
    }
  
    public FontUIResource getSubTextFont() {
        return font;
    }
}